org.apache.ignite.internal.processors.igfs

## Class IgfsCreateResult

- java.lang.Object
- - org.apache.ignite.internal.processors.igfs.IgfsCreateResult

    public class IgfsCreateResult
    extends Object

IGFS file create or append result.

### Constructor Summary

Constructors
Constructor and Description
`IgfsCreateResult(IgfsEntryInfo info, OutputStream secondaryOut)` Constructor.

### Method Summary

Methods
`IgfsEntryInfo` `info()`
`OutputStream` `secondaryOutputStream()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### IgfsCreateResult

    public IgfsCreateResult(IgfsEntryInfo info,
                    @Nullable
                    OutputStream secondaryOut)

Constructor.

Parameters:
  `info` - File info in the primary file system.
  `secondaryOut` - Output stream to the secondary file system.

### Method Detail

#### info

    public IgfsEntryInfo info()

Returns:
  File info in the primary file system.

#### secondaryOutputStream

    @Nullable
    public OutputStream secondaryOutputStream()

Returns:
  Output stream to the secondary file system.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.9.0
Release Date | : March 2 2017